
	<script>
	var util = { };

document.addEventListener('keydown', function(e){

    var key = util.key[e.which];
    if( key ){
        e.preventDefault();
    }

   if( key === 'F5' ){        
  return  printDiv('printableArea');
    }
  if( key === 'F6' ){        
  window.location.href = "../user/mysales";
    }

	 if( key === 'enter' ){        
return true;
    }
	
   
	
	
})


  
util.key = { 
  9: "tab",
  //13: "enter",
  16: "shift",
  12: "alt",
  27: "esc",
  33: "rePag",
  34: "avPag",
  35: "end",
  36: "home",
  37: "left",
  38: "up",
  39: "right",
  40: "down",
  112: "F1",
  113: "F2",
  114: "F3",
  115: "F4",
  116: "F5",
  117: "F6",
  112: "F7",
  119: "F8",
  120: "F9",
  121: "F10",
  122: "F11",
  123: "F12"
}
 

	</script>
<script>
	function printDiv(divName) {
     var printContents = document.getElementById(divName).innerHTML;
     var originalContents = document.body.innerHTML;

     document.body.innerHTML = printContents.fontsize(16);
     window.print();

	 if( window.print()) {
         window.location.href = "../user/viewsales";
		alert(" printing...........");
    }else {

	
		      return      window.location.href = "../user/viewsales";

		    // document.body.innerHTML = originalContents;

	}
}
	</script>

 	<style type="text/css">
      #myprint { display: none; }
  
  .invoice-box table tr.heading td {
        background: #eee;
        border-bottom: 1px solid #ddd;
        font-weight: bold;
		height:auto;
		
		
    }
  #rcorners {

    border-collapse:separate;
    border:solid black 1px;
    border-radius:6px;
    -moz-border-radius:6px;
	   border-left:solid black 1px;


  }
  

    #printable { display: none; }
#print{  	


    background-repeat: no-repeat;
	font-size;10px;

    width:100%; height:50px;



}
.doted{
    border: dotted 3px #000000;
}
table { border-collapse: collapse; }
td { padding: 5px; }
#maintable tr { border-bottom:0px dashed #494949; padding:5px;}


table{
    border-collapse:collapse;/*This property collapses borders together*/
}

#sale{  	
background-image:url(images/add.png) ;

    background-repeat: no-repeat;
  
    width:100px; height:50px;


}
#myalltitle { font-size: 2em; }
#alltitle{ font-size: 1em; }
	#mytitle { font-size: 1.4em; }

    
    {
		
    	#non-printable { display: none; }
    	#printableArea { display: block; font-size:10; width:100%; }
		  margin:0; 
		#receipt{
	font-style: normal;font-size: 1.5em;
	
	padding:0px;
	
}
    }
    </style>
<?PHP

 echo $this->session->flashdata('imagemsg1'); 
		 
		    
$session_data = $this->session->userdata('logged_in');


$data['surname'] = $session_data['surname'];
$data['id'] = $session_data['id'];

$surname=$data['surname'];
   $userid=$data['id'];
   $data['branchid'] = $session_data['branchid'];
	 $branchid = $data['branchid'];	

   $myuser=$this->usermodel->geteuser($userid);
   $myname=$myuser[0]['firstname'];
    $postedtime = date('Y-m-d');
		$currenttime = date('h:i:sa');
 		$dateposted =  ($postedtime)." ".$currenttime ;	

function formatMoney($number, $fractional=false) {
						if ($fractional) {
							$number = sprintf('%.2f', $number);
						}
						while (true) {
							$replaced = preg_replace('/(-?\d+)(\d\d\d)/', '$1,$2', $number);
							if ($replaced != $number) {
								$number = $replaced;
							} else {
								break;
							}
						}
						return $number;
					}	

 $displaycode=$this->usermodel->populatuserpermissionsdataarray('config','productcode',1);
																 $countbranch=$this->usermodel->countbranches(1);
	$profile = $this->usermodel->populateallarray('smsconfig','id',1);

									$photo=$profile[0]['logo'];
									$img=$profile[0]['logo'];
					
?>
 
 <div class="row">

 

   	<div class="col-md-12">
	
  	
			<div class="table-responsive" id="printableArea" style="width:100%" >
									<table border="0" width="100%">
						<!--
				<tr>
				<td colspan="6">
				
				<?php
$img1='uploads/';
	$url = base_url().$img1.$img;
	
if($photo!=""){
	
	?>
	
 <div>
<img class="img-circle" src="<?php echo $url ?>" height="150" width="100%" style="border-radius:4px;margin:0px  ">		 

</div>
<?php
 
 }
 ?>
				
				</td>
				
				</tr>
				-->
						<tr>
					<td colspan="3" style="width:70%" valign="top">

<?php
$img1='uploads/';
	$url = base_url().$img1.$img;
	
if($photo!=""){
	
	?>
	
 <div>

<img class="img-circle" src="<?php echo $url ?>" height="100" width="auto" style="border-radius:4px;margin:0px  ">		 

</div>
<?php
 
 }
 ?>
					<?php 
										 if( $countbranch>1){
										 $mybranches= $this->usermodel->populateallarray('branch','id',$branchid);
										$branchdescription=$mybranches[0]['invoice']; if(isset($branchdescription)) {
											
											
											   echo strtoupper($branchdescription); }


										}else{
 						$description=$configuration[0]['description']; if(isset($description)) {  echo $description; }

											 
										 }
										 $user=$this->usermodel->populateallarray('people','id', $userid);
						$donebynames=$user[0]['firstname'];
						
						
										?>
					
						</td>
						
						<td colspan="2" style=" width:30%" valign="bottom">
															<h2 style="margin:2px;">  RECEIPT 	</h2>
															
														<table border="1" width="100%" id="rcorners" style="padding:0px; cellpadding:0px;margin:0px; cellpadding:0; cellspacing:0;">
															
															<tr><td>RECEIPT  NO </td><td> <?php echo$viewreceipt[0]['id'];?></td>	</tr>
															<tr><td>DATE </td><td>  <?php $myypostedtime= $viewreceipt[0]['dateposted']; echo date("d/m/Y", strtotime($myypostedtime));?></td>	</tr>
															
 	<?php $mypin= $configuration[0]['address']; 
if(	 $mypin!=""){
?>
															<tr><td>PIN </td><td> <?php echo$mypin;?></td>	</tr>

 
<?php
};			 
				 

							?>
															
															
															
															
															
															
															<tr><td>REF NO</td><td> <?php $invoiceid; if(isset($invoiceid)) {echo   $invoiceid; }?></td>	</tr>
															<tr><td>MODE: </td><td> <?php  echo$viewreceipt[0]['type'];?></td>	</tr>
															
																	<tr><td>SALES PERSON </td><td>   <?php 
						
							$mysupplier=$this->usermodel->populateallarray('people','id', $userid);
						echo$names=$mysupplier[0]['firstname']. " ".$mysupplier[0]['surname'] ;
						
						
						?>
																	
																	
																	</td>	</tr>
														 	<?php $mypin= $configuration[0]['address']; 
if($viewreceipt[0]['salesperson'] !=0){
		$user=$this->usermodel->populateallarray('people','id', $viewreceipt[0]['salesperson']);
						$MYnames=$user[0]['firstname'];
?>
															<tr><td>SALES REP </td><td> <?php echo$MYnames;?></td>	</tr>

 
<?php
};			 
				 

							?>
															</table>
															
					
						</td>
						
						</tr>
						
					<TR >
					<td colspan="6">
					<hr style="border-top: 2px solid gray;margin:0px;padding:0px">

					</td>
					</TR>
						<tr>
						
					
						<td colspan="3" id="alltitle">
						<B>Received From:</B>
						<?php 

						$customer=$viewreceipt[0]['customer'];
							$customername=$viewreceipt[0]['name'];
							$mysupplier=$this->usermodel->populateallarray('people','id', $customer);
						$alldetais="";
														
														
					$previousbalance=$mysupplier[0]['balance'];
					
						 
						 if($mysupplier[0]['company']!=""){
							 $alldetais.= $mysupplier[0]['company']."<br>";
						 }
						  if($mysupplier[0]['firstname']!=""){
							 $alldetais.= $mysupplier[0]['firstname']." ". $mysupplier[0]['surname']."<br>";
						 }
						  if($mysupplier[0]['idno']!=""){
							 $alldetais.= $mysupplier[0]['idno']."<br>";
						 }
						   if($mysupplier[0]['idnumber']!=""){
							 $alldetais.= $mysupplier[0]['idnumber']."<br>";
						 }
						  if($mysupplier[0]['phone']!=""){
							 $alldetais.= $mysupplier[0]['phone']."<br>";
						 } if($mysupplier[0]['email']!=""){
							 $alldetais.= $mysupplier[0]['email']."<br>";
						 }
						  if($mysupplier[0]['website']!=""){
							// $alldetais= $mysupplier[0]['website']."<br>";
						 }
						  if($mysupplier[0]['zip']!=""){
							// $alldetais.= $mysupplier[0]['zip']."<br>";
						 }
						   if($mysupplier[0]['code']!=""){
							 $alldetais.= $mysupplier[0]['code']."<br>";
						 }
						 
						  if($mysupplier[0]['city']!=""){
							 $alldetais.= $mysupplier[0]['city']."<br>";
						 }
						
						  if($mysupplier[0]['comments']!=""){
							 $alldetais.= $mysupplier[0]['comments']."<br>";
						 }
						   if($viewreceipt[0]['description']!=""){
							 $alldetais.= $viewreceipt[0]['description']."<br>";
						 }
						 
						 
						   if($customername!=""){
							 $alldetais.= $customername;
						 }
						 	
													echo "<br>".$alldetais;
						//echo "<br>".$comments=$mysupplier[0]['comments'];
							?>
						
						
						
						
						
						
						</td>
						
							<td colspan="3">
							<B>
						
						
						</B>
	
						</td>
						
						
						
							</tr>
																				
																				
																				
																				</table >
							
												</table >
<br><br>
										<div class="invoice-box">
													<table border="1" class="height2"  id="maintable" height="100%" style="width:100%; ">

							
						
							<tr  class="heading">
							
<?php 
if($displaycode==true){
	 ?>
<td id="alltitle"><b>Code</b></td>
<td id="alltitle"> <b>Item Name</b></td>
	 	<?php
		}else{?>
	<td colspan="2" id="alltitle"><b>Item Name</b></td>
 <?php
 }
 ?>
 <td id="alltitle"><b>Qty</td>
								<td id="alltitle"><b>Disc %</b></td>
								<td id="alltitle"><b>Price</b></td>
								<td id="alltitle"><b>Total</b></td>
							</tr>
					
						<?php
					

 if(!is_array($viewsales)) 

 {


   echo "<tr  style='margin-bottom:0px;margin-top:0px;' '>";
      echo "<td colspan='5'>";
    
    echo "</td>";
   echo "</tr>";
    }else {
 $totalcost=0;
  $totalvatcost=0;
      $totalvatcost2=0;
  $totalexemptedcost=0;
   $totaltax=0;
  	foreach ($viewsales as $c): 
			$totalvatcost2=$totalvatcost2+$c->tax2;

		 

             ?>
				                    <tbody >
									
										 
												
											<tr   valign="top">
											
											<?php 
if($displaycode==true){
	 ?>
									<td id="alltitle"><?php echo $c->code ; ?></td>

													    <td id="alltitle"><?php ; 
	 $receiptdescription=$configuration[0]['receiptdescription'];
   $customer=$c->code;
   if($customer!=""){
	  
      $productname = $this->usermodel->geteproductbyid($customer);
  
     echo$name=$productname[0]['name']; if($receiptdescription=="yes"){ echo"-".$description=$productname[0]['description'];}
	
if($c->serial !=""){
	echo "  S/Ns: ".$c->serial;
}
	
   }else{
	    echo "No Product";  
   }
     if( $c->address !=""){
	 echo "-".$c->address;
	 
 }
  
  ?></td>
	 	<?php
		}else{?>
	
	
													    <td  colspan="2" id="alltitle"><?php ; 
	 $receiptdescription=$configuration[0]['receiptdescription'];
   $customer=$c->code;
   if($customer!=""){
	  
      $productname = $this->usermodel->geteproductbyid($customer);
  
     echo$name=$productname[0]['name']; if($receiptdescription=="yes"){ echo"-".$description=$productname[0]['description'];}
if($c->serial !=""){
	echo "  S/N: ".$c->serial;
}
	
   }else{
	    echo "No Product";  
   }
  
     if( $c->address !=""){
	 echo "-".$c->address;
	 
 }
  ?></td>
 <?php
 }
 ?>
										<td id="alltitle"><?php echo $c->qty ; ?></td>
													<td id="alltitle"><?php echo $c->discount ; ?></td>
										 	 <td id="alltitle"><?php 

				 echo formatMoney($c->sprice, true) ;
											 ?></td>
											 	 <td id="alltitle"><?php echo $c->amount ; 
												 $totalcost=$totalcost+$c->amount ;
												 $totaltax=$totaltax+$c->tax ;
												 $mytaxrate=$c->tax ;
												 
												 if(($mytaxrate!=0)||($mytaxrate!="")){
													 
													 $totalvatcost=$totalvatcost+$c->amount;
												 }
												  if(($mytaxrate==0)||($mytaxrate=="")){
													 
													 $totalexemptedcost=$totalexemptedcost+$c->amount;
												 }

												 ?></td>
											</tr>
										<?php endforeach;} ?>

			  		<tr>	
									<td colspan="7" height="30%"> 
							
							<br>
							</br>
							
							</td>
							
							
							
							</tr>
			  
			  
								
	
							<?php
							
						$display1=$configuration[0]['display1']; 
						$display2=$configuration[0]['display2']; 

						if(	$display1=="yes"){
						
						?>
							
								<tr>
								
								<td colspan="2"><B>TAX RATE </B></td>
									<td ><B>VAT AMT 
							<?php 
						if($display2=="yes"){
							?>
							|| CTL
							<?php 
								}
							?>
									
									</B></td>
								
								
								<td><B>VATABLE AMT </B></td>
								
							<td><B>EXMPT  AMT</B></td>
								<td></td>
							</tr>
							
								<tr>
								<td id="mytitle" colspan="2">
							<?php $tax1rate=$configuration[0]['tax1rate']; if(isset($tax1rate)) {echo round(formatMoney($tax1rate, true),1) ;}?>%
						<?php 
						if($display2=="yes"){
							?>
						||<?php $tax2rate=$configuration[0]['tax2rate']; if(isset($tax2rate)) {echo  round(formatMoney($tax2rate, true),1) ;}?>%

							<?php 
								}
							?>
						

								</td>
							
								
								<td id="mytitle">
								<?php if(isset($totaltax)) {  echo formatMoney($totaltax, true) ;}?>
							
								

															<?php 
						if($display2=="yes"){
							?>
																||<?php if(isset($totalvatcost2)) {  echo formatMoney($totalvatcost2, true) ;}?>

							<?php 
								}
							?>
							
								</td>
								<td id="mytitle">
								
								
								
															<?php 
						if($display2=="yes"){
					if(isset($totalvatcost)) { $vatable=($totalvatcost-$totaltax-$totalvatcost2);echo formatMoney($vatable, true) ; }

								}else{
				if(isset($totalvatcost)) { $vatable=($totalvatcost-$totaltax); echo formatMoney($vatable, true) ; }
		
									
						}
							?>
						</td>
								<td id="mytitle">
								<?php if(isset($totalexemptedcost)) {  echo formatMoney($totalexemptedcost, true) ;}?>
								
																<?php if(isset($totaltax)) {  ",". formatMoney(($totaltax+$vatable), true) ;}?>

								
								
							
								</td>
								
									<td id="mytitle">
							
								
																<?php if(isset($totaltax)) {  echo formatMoney(($totaltax+$vatable), true) ;}?>

								
								
							
								</td>
							</tr>
							
								
								
								<?php
							 $mydescription=$viewreceipt[0]['description']; 
									if(	 $mydescription !=""){					 
							?>
								<tr>
								
								<td colspan="6" id="mytitle">
								<b>
								
							<?PHP
							// echo   $mydescription; 
							
							?>
							</b>
								</td>
								
							
							
							</tr>
							
							
								<?php
								
									}
									}
									?>
							<tr>
								<td colspan="5" id="mytitle"> <b> GRAND TOTAL </b></td>

								
								
							<td colspan="4" id="myalltitle"> <b>
							
															<?php 
															$mydiscount=$viewreceipt[0]['maindiscount'];
															
															//$total=$viewreceipt[0]['total']; if(isset($total)) {echo   formatMoney($total-$mydiscount, true); }
																														$total=$viewreceipt[0]['total']; if(isset($total)) {echo   formatMoney($total, true); }

															
															?>
											
									</b>
							</td>
							
							</tr>
							
							
								
									
									<div>	
								<tr  style="margin:0px;padding:0px;">

						
					<td colspan="6" style="margin:0px ; padding:0px;"> 
						


<?php $invoicedetails=$configuration[0]['invoicedetails']; if(isset($invoicedetails)) {echo   $invoicedetails; }?>
						
						

							
							
							</td>
							
							</tr>
	
								<tr>	
									<td colspan="7"> 
							<H3 class="pull-right">
															
															Signature:----------------------
											</H3>

							
							
							</td>
							
							</tr>
							
							
						
							
							
							
							
							
				
									</tbody>
									
									
					</table>
			<div>
				<div>

</div>
					
					
					
					
				</div>
			</div>
			</div>
		</div>
  
  </div>
 </div>
 </div> 
			
			
		
		
			
		
			
		
	<script type="text/javascript">


$(window).load(function()
{
	 if( window.print()) {
         window.location.href = "../user/viewsales";
 }else{
	  //       window.location.href = "../user/allinvoices";
 
 }
});
</script>	

























